// 判读是否为IE浏览器
function isIE() {
    return navigator.appName == "Microsoft Internet Explorer";
}

// 判断IE版本
function IEVersion() {
    return parseInt(navigator.appVersion.split(";")[1].replace(/[ ]/g, "").replace("MSIE", ""));
}

// 自定义Map
function Map() {
    this.elements = new Array();

    this.size = function () {
        return this.elements.length;
    }

    this.set = function (_key, _value) {
        this.elements.push({ key: _key, value: _value });
    }

    this.get = function (_key) {
        try {
            for (i = 0; i < this.elements.length; i++) {
                if (this.elements[i].key == _key) {
                    return this.elements[i].value;
                }
            }
        }
        catch (e) {
            return null;
        }
    }

    this.element = function (_index) {
        if (_index < 0 || _index >= this.elements.length) {
            return null;
        }
        return this.elements[_index];
    }
};
/////////////////////////////////////////////////////////////////

var divMap = new Map();

divMap.set('apDiv4__保护与物品', 'apDiv4');
divMap.set('apDiv5__boss计时', 'apDiv5');
divMap.set('apDiv6__日常', 'apDiv6');
divMap.set('apDiv7__活动', 'apDiv7');
divMap.set('apDiv8__自动boss', 'apDiv8');
divMap.set('apDiv9__拖号与反击', 'apDiv9');
divMap.set('apDiv10__吃货交易', 'apDiv10');

divMap.set('apDiv6_1__日常1', 'apDiv6_1');
divMap.set('apDiv6_2__日常2', 'apDiv6_2');
divMap.set('apDiv6_3__日常3', 'apDiv6_3');
divMap.set('apDiv6_6__日常6', 'apDiv6_6');

divMap.set('apDiv7_1__活动1', 'apDiv7_1');
divMap.set('apDiv7_2__活动2', 'apDiv7_2');
divMap.set('apDiv7_3__活动3', 'apDiv7_3');
divMap.set('apDiv7_4__活动4', 'apDiv7_4');

divMap.set('apDiv8_1__自动BOSS', 'apDiv8_1');
divMap.set('apDiv8_2__背包处理1', 'apDiv8_2');
divMap.set('apDiv8_3__背包处理2', 'apDiv8_3');
divMap.set('apDiv8_4__托号反击', 'apDiv8_4');

divMap.set('apDiv13__任务状态', 'apDiv13');

document.getElementById('apDiv4__保护与物品').style.visibility = "visible";
document.getElementById('apDiv4__保护与物品').style.backgroundColor = "#CDB5CD";
var nowShowMainDiv = 'apDiv4';
var nowShowSonDiv = 'apDiv6_6';

function ShowHideDiv(type) {
    var clickObj = window.event.srcElement;
    var showDiv = divMap.get(clickObj.id);

    var index;
    //隐藏之前显示的DIV
    if (type == 0) {
        document.getElementById(nowShowMainDiv).style.visibility = "hidden";

        for (var i = 0; i < divMap.elements.length; i++) {
            if (divMap.elements[i].value == nowShowMainDiv) {
                index = i;
            }
        }
        document.getElementById(divMap.elements[index].key).style.backgroundColor = "";
    }

    document.getElementById(nowShowSonDiv).style.visibility = "hidden";
    for (var i = 0; i < divMap.elements.length; i++) {
        if (divMap.elements[i].value == nowShowSonDiv) {
            index = i;
        }
    }
    document.getElementById(divMap.elements[index].key).style.backgroundColor = "";

    // 显示当前点击的DIV
    document.getElementById(showDiv).style.visibility = "visible";
    if (type == 0) {
        nowShowMainDiv = showDiv;
        document.getElementById(clickObj.id).style.backgroundColor = "#CDB5CD";
    }
    else {
        nowShowSonDiv = showDiv;
        document.getElementById(clickObj.id).style.backgroundColor = "#EEC591";
    }

    if (showDiv == "apDiv6") {
        document.getElementById("apDiv6_6").style.visibility = "visible";
        nowShowSonDiv = 'apDiv6_6';
        document.getElementById("apDiv6_6__日常6").style.backgroundColor = "#EEC591";
    }
    else if (showDiv == "apDiv7") {
        document.getElementById("apDiv7_1").style.visibility = "visible";
        nowShowSonDiv = 'apDiv7_1';
        document.getElementById("apDiv7_1__活动1").style.backgroundColor = "#EEC591";
    }
    else if (showDiv == "apDiv8") {
        document.getElementById("apDiv8_1").style.visibility = "visible";
        nowShowSonDiv = 'apDiv8_1';
        document.getElementById("apDiv8_1__自动BOSS").style.backgroundColor = "#EEC591";
    }
}

function SaveConfig() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.SaveConfig(tagname, id);
}

function ReadConfig() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.ReadConfig(tagname, id);
}

function pkStart() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.pkStart(tagname, id);
}

function guajiStart() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.guajiStart(tagname, id);
}

function guajiPause() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.guajiPause(tagname, id);
}

function VauleChange() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.VauleChange(tagname, id);
}

function GetNear() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.GetNear(tagname, id);
}

function linghuodongjiangli() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.linghuodongjiangli(tagname, id);
}

function bossdafa() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.bossdafa(tagname, id);
}


function renwupaiban_huifuyuanshi() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external.renwupaiban_huifuyuanshi(tagname, id);
}

function _设置任务顺序() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._设置任务顺序(tagname, id);
}

function _播放测试() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._播放测试(tagname, id);
}

function _停止报警() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._停止报警(tagname, id);
}

function _选项点击事件() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._选项点击事件(tagname, id);
}

function _物品搜索() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._物品搜索(tagname, id);
}

function _开始自动注灵(){
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._开始自动注灵(tagname, id);
}

function _设置坐标() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._设置坐标(tagname, id);
}

function _打码平台充值网址() {
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._打码平台充值网址(tagname, id);
}

function _一键丢吃货(){
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._一键丢吃货(tagname, id);
}

function _一键丢符文(){
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._一键丢符文(tagname, id);
}


function _一键回收注灵(){
    var id = event.srcElement.id;
    var tagname = event.srcElement.tagName;
    window.external._一键回收注灵(tagname, id);
}
